use std::env;
use std::path::PathBuf;

fn main() {
    let manifest_dir = env::var("CARGO_MANIFEST_DIR").unwrap();
    let mut lib_dir = PathBuf::from(manifest_dir).join("libs");
    if cfg!(all(target_os = "linux", target_arch = "x86_64")) {
        lib_dir.push("linux_x64");
        println!("cargo:rustc-link-search=native={}", lib_dir.display());
        println!("cargo:rustc-link-lib=crush");
    } else if cfg!(all(target_os = "macos", target_arch = "aarch64")) {
        lib_dir.push("macos_arm64");
        println!("cargo:rustc-link-search=native={}", lib_dir.display());
        println!("cargo:rustc-link-lib=crush");
    }
}
